class Course:
    def __init__(self, name, duration, link):
        self.name = name
        self.duration = duration
        self.link = link

    def __repr__(self):
        return f"{self.name} [{self.duration}] ({self.link})"

courses = [
    Course("Introduccion a linux", 15, "www.com"),
    Course("Personalizacion de linux", 3, "www.com"),
    Course("Introduccion al hacking", 53, "www.com")
]


def list_courses():
    for course in courses:
        print(course)

def search_course_by_name(name):
    for course in courses:
        if course.name == name:
            return course

    return None
